ubuntu-defaults-image(1)

NAME
ubuntu-defaults-image - create installation image from default settings package

SYNOPSIS
ubuntu-defaults-image [ options ] --ppa lpusername/ppaname --locale fr_FR ubuntu-defaults-image [ options ] --package /path/to/myproject-defaults_0.1_all.deb

DESCRIPTION
The ubuntu-defaults-builder project allows you to easily create a "default settings" package for Ubuntu and then build a customized image with it. The main purpose for this is to provide a standard and safe way to create localized Ubuntu images, or OEM custom projects. Please see ubuntu-defaults-template(1) for how to create a "default settings" package with the customizations. With such a package, you can build installation images. If you are planning to actually publish these images, you need to have the defaults package in an archive, either the Ubuntu archive itself or a personal package archive (PPA). That way you can provide updates for it post-release, and support upgrades to newer Ubuntu releases properly. In this case you need to specify a package name with --package or a locale with --locale which will then assume that the canonical defaults package name for locale ll_CC is ubuntu-defaults-ll-cc. If the specified defaults package is not in Ubuntu, but in a PPA, you can add the PPA to the image with the --ppa option. While developing the defaults package and doing test image builds, you can also specify the full path to the .deb with --package projectdir/myproject-defaults_0.1_all.deb. This avoids having to upload the defaults package to a PPA for each test iteration. Note that running this program will need a lot of disk space, an order of 3 GB. It will create a lot of temporary files and a cache directory in the current directory you are running this in, so please change to an empty scratch directory.

OPTIONS

--package package name or path
    Install this default settings package. Can be a simple name (in which case the package needs to be apt-get'able) or path to a local .deb package for testing.

--locale ll_CC
    Defaults packages for localized Ubuntu images should be named ubuntu-defaults-ll-cc. This option will install the corresponding defaults package for the given locale.

--ppa  lp_username/ppa_name
    Enable an additional personal package archive (PPA) on the image. This is usually the archive providing the defaults package. Example: "joe/myproject-defaults".

--arch architecture
    Specify the architecture of the image build, e. g. "i386" or "amd64". If not given, it builds for the host system architecture.

--release release
    Specify the Ubuntu release code name on which image build is based on, e. g. "oneiric". If not given, it builds for the host system release.

--components component[,component...]
    Specify the archive components which are enabled during image build. If not given, this uses "main,restricted", which is how standard Ubuntu images are built. However, if your defaults package is in universe, or has dependencies to universe packages, you need to use "main,restricted,universe".

--keep-apt
    Do not remove apt indexes from live system (/var/lib/apt/lists/*_Packages). This will significantly enlarge the resulting ISO image, but will make package related operations work without an initial apt-get update run.

--help
    Print a summary of the options.

EXAMPLES
As mentioned above, change to an empty scratch directory on a drive with at least 3 GB of free space. For a first test, you can call
    /usr/share/doc/ubuntu-defaults-builder/examples/make-example
to build an "defaults-builder-test" package with all the template example settings enabled. (Please see ubuntu-defaults-template(1) for details). To build an iso out of this, run
    ubuntu-defaults-image --package ./defaults-builder-test_0.1_all.deb --components main,restricted,universe
You need to enable universe as the defaults-builder-test has extra dependencies on some universe packages like "manpages-de". For building a localized Ubuntu image for Chinese/China (i. e. with the "ubuntu-defaults-zh-cn" package), you use
    ubuntu-defaults-image --locale zh_CN --components main,restricted,universe
As ubuntu-defaults-zh-cn is in the Ubuntu archive, you don't need to specify a --ppa.

SEE ALSO
ubuntu-defaults-template(1), live-build(7) https://wiki.ubuntu.com/DesktopTeam/Specs/Oneiric/LocalizedCDImageTools

AUTHOR
ubuntu-defaults-builder is developed by Martin Pitt <martin.pitt@ubuntu.com>.